# -------------------------------------------------------
# Relies on JUPYTER_PORT being set in docker-compose.yml
# -------------------------------------------------------
FROM pytorch/pytorch:latest

# RUN useradd -m -s /bin/bash oleg

# Install packages
RUN pip install jupyterlab ipywidgets
# RUN pip install pandas
# RUN pip install numpy


# Set environment variables, etc.
#ENV MY_ENV_VAR=myvalue

# Set the working directory
WORKDIR /workspace

# Expose the port for JupyterLab
EXPOSE ${JUPYTER_PORT}

# Command to run JupyterLab
CMD ["sh", "-c", "jupyter-lab --ip=0.0.0.0 --port=7778 --no-browser --allow-root --NotebookApp.token=''"]

